/// <reference types="react" />
import * as React from 'react';
import { ThemedComponentClass } from 'react-css-themr';
import { DisplayMoreInfo } from './PickerEnum';
import { IPickerInfo } from './IPickerInfo';
import { IPickerSource } from './IPickerSource';
export interface State {
    people: string;
    searchItems: IPickerInfo[];
    selectedItems: IPickerInfo[];
    moreInfo: boolean;
}
export declare type Type = 'hide' | 'mark';
export interface Props {
    required?: boolean;
    selectedResultsBehavior?: Type;
    filterPlaceHolder?: string;
    maxSelectedItems?: number;
    minSelectedItems?: number;
    millisecondsToWaitBeforeSearch?: number;
    chipComponent: React.ReactNode;
    searchResultComponent: React.ReactNode;
    moreInfoComponent?: React.ReactNode;
    source: IPickerSource<IPickerInfo>;
    moreInfoComponentShowOn?: DisplayMoreInfo;
    style?: React.CSSProperties;
    theme?: any;
    searchBehavior?(): void;
    onSelect?(item: any): void;
    onRemove?(item: any): void;
    onMoreInfo?(): void;
}
declare class Picker extends React.Component<Props, State> {
    constructor(props: any);
    render(): JSX.Element;
    private handleChange;
    private onSuccess;
    private onError;
    private handleRemove;
    private handleSelect;
    private handleMoreInfo;
}
export { Picker as UnthemedPicker };
declare var _default: ThemedComponentClass<Props, State>;
export default _default;
